from setuptools import setup

setup(
    name='sinlingua_test',
    version='0.0.5',
    packages=['sinlingua', 'sinlingua.src', 'sinlingua.singlish', 'sinlingua.summarizer', 'sinlingua.grammar_rule',
              'sinlingua.preprocessor', 'sinlingua.sinhala_audio'],
    url='https://github.com/SupunGurusinghe/SinlinguaDocumentation/blob/main/README.md',
    license='MIT',
    author='Supun Gurusinghe, Sandaruwini Galappaththi, Supun Sarada Wijesinghe, Binura Yasodya',
    author_email='supunsameeran@gmail.com, sandaruwinigalappaththi@gmail.com, saradawijesinghe@gmail.com, binurayasodya24@gmail.com',
    description='Package for Sinhala data processing',
    python_requires=">=3.7.0",
    install_requires=[
        "chardet~=3.0.4",
        "click~=8.1.7",
        "colorama==0.4.6",
        "gensim==4.3.1",
        "joblib==1.2.0",
        "nltk==3.8.1",
        "numpy~=1.22.4",
        "regex~=2022.10.31",
        "scipy~=1.9.3",
        "tqdm~=4.64.1",
        "urllib3~=1.26.12",
        "pip~=21.2.4",
        "wheel~=0.37.1",
        "cryptography~=38.0.3",
        "py~=1.10.0",
        "lxml~=4.9.2",
        "future~=0.18.2",
        "matplotlib~=3.5.3",
        "pytest~=6.2.4",
        "scikit-learn~=1.1.3",
        "requests~=2.27.1",
        "pyparsing~=2.4.7",
        "keras~=2.11.0",
        "ipywidgets~=7.6.3",
        "ipython~=7.26.0",
        "notebook~=6.5.2",
        "hypothesis~=6.56.4",
        "setuptools~=56.0.0",
        "pytz~=2022.5",
        "mpmath~=1.3.0",
        "sympy~=1.12",
        "fasttext~=0.9.2",
        "psutil~=5.9.3",
        "boto3~=1.26.43",
        "botocore~=1.29.43",
        "pandas~=1.3.5",
        "pygtrie~=2.5.0",
        "fuzzywuzzy~=0.18.0",
        "asyncio~=3.4.3",
        "Levenshtein~=0.21.0",
        "idna~=2.10",
        "multidict~=6.0.4",
        "attrs~=21.2.0",
        "openai~=0.27.2",
        "aiohttp~=3.8.3",
        "plotly~=5.5.0",
        "tenacity~=8.1.0",
        "yarl~=1.8.2",
        "aiosignal~=1.3.1",
        "frozenlist~=1.3.3",
        "python-multipart~=0.0.6",
        "certifi~=2021.5.30",
        "simplejson~=3.18.1",
        "sinling~=0.3.6",
        "hpack~=3.0.0",
        "hyperframe~=5.2.0",
        "h2~=3.2.0",
        "h11~=0.9.0",
        "hstspreload~=2023.1.1",
        "httpcore~=0.9.1",
        "rfc3986~=1.5.0",
        "sniffio~=1.3.0",
        "httpx~=0.13.3",
        "googletrans~=3.0.0",
        "torch~=2.0.1",
        "transformers~=4.29.1",
    ]
)
